rem @echo off
sc queryex type=service state=all | find /i "SERVICE_NAME: CDPUserSvc" > serv_name.txt
set xname=aaa
FOR /F "tokens=3 delims=_" %%i in (serv_name.txt) do (
	set xname=%%i
)
echo Special name = [%xname%]

@echo Setup services

sc.exe config AJRouter start= disabled
sc.exe config ALG start= demand
sc.exe config AppIDSvc start= demand
sc.exe config Appinfo start= demand
sc.exe config AppMgmt start= demand
sc.exe config AppReadiness start= demand
sc.exe config AppVClient start= disabled
sc.exe config AppXSvc start= demand
sc.exe config AssignedAccessManagerSvc start= demand
sc.exe config AudioEndpointBuilder start= auto
sc.exe config Audiosrv start= auto
sc.exe config AxInstSV start= demand
sc.exe config BDESVC start= demand
sc.exe config BFE start= demand
sc.exe config BrokerInfrastructure start= auto
sc.exe config BTAGService start= demand
sc.exe config BthAvctpSvc start= disabled
sc.exe config bthserv start= demand
sc.exe config camsvc start= disabled
sc.exe config CDPSvc start= disabled
sc.exe config CertPropSvc start= disabled
sc.exe config ClipSVC start= disabled
sc.exe config COMSysApp start= demand
sc.exe config CoreMessagingRegistrar start= auto
sc.exe config cphs start= disabled
sc.exe config cplspcon start= disabled
sc.exe config CryptSvc start= demand
sc.exe config CscService start= demand
sc.exe config DcomLaunch start= auto
sc.exe config defragsvc start= demand
sc.exe config DeviceAssociationService start= disabled
sc.exe config DeviceInstall start= demand
sc.exe config DevQueryBroker start= demand
sc.exe config Dhcp start= auto
sc.exe config diagnosticshub.standardcollector.service start= disabled
sc.exe config diagsvc start= demand
sc.exe config DisplayEnhancementService start= demand
sc.exe config DmEnrollmentSvc start= demand
sc.exe config Dnscache start= disabled
sc.exe config dot3svc start= demand
sc.exe config DPS start= disabled
sc.exe config DsmSvc start= disabled
sc.exe config DsSvc start= demand
sc.exe config DusmSvc start= disabled
sc.exe config Eaphost start= demand
sc.exe config EFS start= demand
sc.exe config embeddedmode start= demand
sc.exe config EntAppSvc start= demand
sc.exe config EventLog start= auto
sc.exe config EventSystem start= auto
sc.exe config Fax start= demand
sc.exe config fdPHost start= demand
sc.exe config FDResPub start= disabled
sc.exe config fhsvc start= disabled
sc.exe config FontCache start= auto
sc.exe config FrameServer start= disabled
sc.exe config gpsvc start= demand
sc.exe config GraphicsPerfSvc start= demand
sc.exe config hidserv start= demand
sc.exe config HvHost start= demand
sc.exe config icssvc start= demand
sc.exe config IKEEXT start= disabled
sc.exe config InstallService start= demand
sc.exe config iphlpsvc start= disabled
sc.exe config IpxlatCfgSvc start= demand
sc.exe config irmon start= demand
sc.exe config KeyIso start= demand
sc.exe config KtmRm start= demand
sc.exe config LanmanServer start= disabled
sc.exe config LanmanWorkstation start= disabled
sc.exe config lfsvc start= disabled
sc.exe config LicenseManager start= demand
sc.exe config lltdsvc start= demand
sc.exe config lmhosts start= disabled
sc.exe config LSM start= auto
sc.exe config LxpSvc start= demand
sc.exe config MapsBroker start= disabled
sc.exe config mpssvc start= disabled
sc.exe config MSDTC start= demand
sc.exe config MSiSCSI start= demand
sc.exe config msiserver start= demand
sc.exe config NaturalAuthentication start= demand
sc.exe config NcaSvc start= disabled
sc.exe config NcbService start= disabled
sc.exe config NcdAutoSetup start= disabled
sc.exe config Netlogon start= demand
sc.exe config Netman start= demand
sc.exe config netprofm start= demand
sc.exe config NetSetupSvc start= demand
sc.exe config NetTcpPortSharing start= disabled
sc.exe config NgcCtnrSvc start= demand
sc.exe config NgcSvc start= demand
sc.exe config NlaSvc start= auto
sc.exe config nsi start= auto
sc.exe config nvsvc start= disabled
sc.exe config p2pimsvc start= demand
sc.exe config p2psvc start= demand
sc.exe config PcaSvc start= disabled
sc.exe config PeerDistSvc start= demand
sc.exe config perceptionsimulation start= demand
sc.exe config PerfHost start= demand
sc.exe config PhoneSvc start= demand
sc.exe config pla start= demand
sc.exe config PlugPlay start= demand
sc.exe config PNRPAutoReg start= demand
sc.exe config PNRPsvc start= demand
sc.exe config PolicyAgent start= disabled
sc.exe config Power start= auto
sc.exe config PrintNotify start= demand
sc.exe config ProfSvc start= auto
sc.exe config PushToInstall start= demand
sc.exe config QWAVE start= demand
sc.exe config RasAuto start= disabled
sc.exe config RasMan start= disabled
sc.exe config RemoteAccess start= disabled
sc.exe config RemoteRegistry start= disabled
sc.exe config RetailDemo start= demand
sc.exe config RmSvc start= disabled
sc.exe config RpcEptMapper start= auto
sc.exe config RpcLocator start= demand
sc.exe config RpcSs start= auto
sc.exe config SamSs start= demand
sc.exe config SCardSvr start= demand
sc.exe config ScDeviceEnum start= demand
sc.exe config Schedule start= disabled
sc.exe config SCPolicySvc start= demand
sc.exe config SDRSVC start= demand
sc.exe config seclogon start= demand
sc.exe config SecurityHealthService start= disabled
sc.exe config SEMgrSvc start= demand
sc.exe config SENS start= disabled
sc.exe config Sense start= demand
sc.exe config SensorDataService start= disabled
sc.exe config SensorService start= disabled
sc.exe config SensrSvc start= disabled
sc.exe config SessionEnv start= disabled
sc.exe config SgrmBroker start= disabled
sc.exe config SharedAccess start= demand
sc.exe config SharedRealitySvc start= demand
sc.exe config ShellHWDetection start= disabled
sc.exe config shpamsvc start= disabled
sc.exe config smphost start= demand
sc.exe config SmsRouter start= demand
sc.exe config SNMPTRAP start= demand
sc.exe config spectrum start= demand
sc.exe config Spooler start= demand
sc.exe config sppsvc start= disabled
sc.exe config SSDPSRV start= demand
sc.exe config ssh-agent start= disabled
sc.exe config SstpSvc start= disabled
sc.exe config StateRepository start= demand
sc.exe config "Stereo Service" start= disabled
sc.exe config stisvc start= disabled
sc.exe config StorSvc start= disabled
sc.exe config svsvc start= demand
sc.exe config swprv start= demand
sc.exe config SysMain start= disabled
sc.exe config SystemEventsBroker start= auto
sc.exe config TabletInputService start= disabled
sc.exe config TapiSrv start= demand
sc.exe config TermService start= demand
sc.exe config Themes start= disabled
sc.exe config TieringEngineService start= demand
sc.exe config TimeBrokerSvc start= disabled
sc.exe config TokenBroker start= disabled
sc.exe config TrkWks start= disabled
sc.exe config TrustedInstaller start= demand
sc.exe config tzautoupdate start= disabled
sc.exe config UevAgentService start= disabled
sc.exe config UmRdpService start= demand
sc.exe config upnphost start= demand
sc.exe config UserManager start= demand
sc.exe config VacSvc start= demand
sc.exe config VaultSvc start= demand
sc.exe config vds start= demand
sc.exe config vmicguestinterface start= demand
sc.exe config vmicheartbeat start= demand
sc.exe config vmickvpexchange start= demand
sc.exe config vmicrdv start= demand
sc.exe config vmicshutdown start= demand
sc.exe config vmictimesync start= demand
sc.exe config vmicvmsession start= demand
sc.exe config vmicvss start= demand
sc.exe config VSS start= demand
sc.exe config W32Time start= demand
sc.exe config WaaSMedicSvc start= demand
sc.exe config WalletService start= demand
sc.exe config WarpJITSvc start= demand
sc.exe config wbengine start= demand
sc.exe config WbioSrvc start= demand
rem Disable Wcmsvc only if wifi absent
sc.exe config Wcmsvc start= disabled
sc.exe config wcncsvc start= disabled
sc.exe config WdiServiceHost start= disabled
sc.exe config WdiSystemHost start= disabled
sc.exe config WdNisSvc start= demand
sc.exe config WebClient start= disabled
sc.exe config Wecsvc start= demand
sc.exe config WEPHOSTSVC start= demand
sc.exe config wercplsupport start= demand
sc.exe config WFDSConMgrSvc start= demand
sc.exe config WiaRpc start= demand
sc.exe config WinDefend start= disabled
sc.exe config WinHttpAutoProxySvc start= disabled
sc.exe config Winmgmt start= auto
sc.exe config WinRM start= demand
sc.exe config wisvc start= demand
rem Disable WlanSvn only if wifi absent
sc.exe config WlanSvc start= demand
sc.exe config wlidsvc start= disabled
sc.exe config wlpasvc start= demand
sc.exe config WManSvc start= demand
sc.exe config wmiApSrv start= demand
sc.exe config WMPNetworkSvc start= demand
sc.exe config workfolderssvc start= demand
sc.exe config WpcMonSvc start= demand
sc.exe config WPDBusEnum start= disabled
sc.exe config WpnService start= demand
sc.exe config wscsvc start= disabled
sc.exe config WSearch start= disabled
sc.exe config WwanSvc start= demand
sc.exe config XblAuthManager start= demand
sc.exe config XblGameSave start= demand
sc.exe config XboxGipSvc start= demand
sc.exe config XboxNetApiSvc start= demand

sc.exe config BcastDVRUserService_%xname% start= demand
sc.exe config BluetoothUserService_%xname% start= demand
sc.exe config CaptureService_%xname% start= demand
sc.exe config cbdhsvc_%xname% start= disabled
sc.exe config ConsentUxUserSvc_%xname% start= demand
sc.exe config DevicePickerUserSvc_%xname% start= demand
sc.exe config PrintWorkflowUserSvc_%xname% start= demand

@echo Kill services
sc delete UsoSvc
sc delete WaaSMedicSvc
sc delete wuauserv
sc delete DoSvc
sc delete BITS

@echo Rename services

set xroot="C:\Windows\System32\"

ren %xroot%usoapi.dll *.*.bak
ren %xroot%UsoClient.exe *.*.bak
ren %xroot%usocore.dll *.*.bak
ren %xroot%WaaSMedicPS.dll *.*.bak
ren %xroot%WaaSMedicSvc.dll *.*.bak

@echo Disable services by reg

reg add "HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\WinHttpAutoProxySvc" /v Start /t REG_DWORD /d 4 /f
reg add "HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Dnscache" /v Start /t REG_DWORD /d 4 /f


@echo Please reboot now!!!

